Bug 165435 - ntptrace does not try ipv4 if ipv6 fails
ntptrace does not try ipv4 if ipv6 fails
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 06:24 EDT by Pim Zandbergen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 09:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ntp-4.2.0.a.20050816-2.src.rpm (3.89 MB, application/x-rpm)
2005-11-10 09:47 EST, Petr Raszyk
no flags Details
ntpq trace file (4.65 KB, text/plain)
2006-04-10 09:55 EDT, Pim Zandbergen
no flags Details

  None (edit)
Description Pim Zandbergen 2005-08-09 06:24:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
ntptrace fails to query another host if that host's hostname resolves to both an ipv4 and an ipv6 address, and that host's ntp implementation does not support ipv6.

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-8

How reproducible:
Always

Steps to Reproduce:
1. setup an ipv6-capable host with a non-ipv6 capable ntp implementation
2. allow the host to be resolved with both ipv4 and ipv6 addresses
3. query the host using "ntptrace <hostname>"
  

Actual Results:  ntptrace show an error message:
/usr/sbin/ntpq: read: Connection refused


Expected Results:  ntptrace should show the hosts's ntp status,
like would have been shown with the command
"ntptrace <hostname's ipv4 address>"

Additional info:
Comment 1 Petr Raszyk 2005-11-10 09:47:55 EST
Created attachment 120881 [details]
ntp-4.2.0.a.20050816-2.src.rpm

Where is your 'ntpd' running ? Microsoft Windows OS ? Linux OS ?
Where is your 'ntptrace' (respective 'ntpq') running ? 
Microsof Windows ? Linux ?

Try to install the ntp-4.2.0.a.20050816-2.src.rpm above. It creates 
autotrace/autodebug files in /tmp directory (/tmp/nptd.PID, /tmp/ntpq.PID
(where PID is process-id)).

We get an info about ipv4, ipv6 and the format of ip-address 
(after 'ntptrace-script'). Send me this files, please.
Comment 2 Pim Zandbergen 2006-04-10 09:55:02 EDT
Created attachment 127547 [details]
ntpq trace file

as requested
Comment 3 Pim Zandbergen 2006-04-10 09:58:23 EDT
ntp-4.2.0.a.20050816-2.src.rpm builds executables
that do not exhibit the reported problem. They
work as expected. I built the rpm on an FC5 system.

FC5 comes with a newer version of ntp, but one that
exhibit the problem.
Comment 4 Miroslav Lichvar 2006-07-21 09:39:06 EDT
Problem is in ntpq, it will try to connect only to the first address returned by
getaddrinfo().

It is reported upstream already: https://ntp.isc.org/bugs/show_bug.cgi?id=334

Note You need to log in before you can comment on or make changes to this bug.